var express = require('express');
var app = express();
var bodyParser = require('body-parser');

var id = 0;
var w_dir = 0;
var tmp = 0;
var hum = 0;
var w_speed = 0;
var w_gust = 0;
var rain = 0;
var uvi = 0;
var lux = 0;

app.set('port', (process.env.PORT || 5000));
app.set('view engine', 'ejs');

app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

app.get('/', function(req, res){
  res.render('index', {id: id, w_dir: w_dir, tmp: tmp, hum: hum, w_speed: w_speed, w_gust: w_gust, rain: rain, uvi: uvi, lux: lux});
});

app.post('/series', function(req, res) {
    console.log('post:/series');

    id = req.body.id;
    w_dir = req.body.w_dir;
    tmp = req.body.tmp;
    hum = req.body.hum;
    w_speed = req.body.w_speed;
    w_gust = req.body.w_gust;
    rain = req.body.rain;
    uvi = req.body.uvi;
    lux = req.body.lux;

    res.send("Received\n");
});

app.listen(app.get('port'), function() {
  console.log("Node app is running at localhost:" + app.get('port'));
});
